cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/alerts/fixesimport requests
url = "https://api.staging.qyl.dev/api/v1/alerts/fixes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/alerts/fixes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"issue_id": "<string>",
"strategy": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"alert_firing_id": "<string>",
"model_name": "<string>",
"model_provider": "<string>",
"error_message": "<string>",
"tokens_used": 123,
"duration_ms": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>"
}{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Alerts
List fix runs
List fix runs
GET
/
api
/
v1
/
alerts
/
fixes
cURL
Query Parameters
Issue ID filter
Status filter Fix run status
Available options:
pending, running, awaiting_approval, applied, rejected, failed Page size
Required range:
1 <= x <= 100Cursor
Response
The request has succeeded.
Cursor-based paginated response wrapper
Was this page helpful?
⌘I
